=== doc/requirements.txt ===
-r ../rtd-requirements.txt
Sphinx<2
sphinx-argparse<0.3
sphinx_rtd_theme<0.5
