=== debian/changelog ===
ros-foxy-py-trees (2.1.6-1focal) focal; urgency=high

  * [tests] mypy conformance,  #327 <https://github.com/splintered-reality/py_trees/pull/327>
  * [composites] show ghost states for sequence children,  #330 <https://github.com/splintered-reality/py_trees/pull/330> (reverts behaviour introduced in #325 <https://github.com/splintered-reality/py_trees/pull/325>)

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 31 May 2021 04:00:00 -0000

ros-foxy-py-trees (2.1.5-1focal) focal; urgency=high

  * [composites] sequences w/o memory, #325 <https://github.com/splintered-reality/py_trees/pull/325>
  * [composites] selectors with memory, #324 <https://github.com/splintered-reality/py_trees/pull/324>
  * [display] unicode trees are unicode, not ascii #324 <https://github.com/splintered-reality/py_trees/pull/324>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 May 2021 04:00:00 -0000

ros-foxy-py-trees (2.1.4-1focal) focal; urgency=high

  * [behaviours] added BlackboardToStatus, #320 <https://github.com/splintered-reality/py_trees/pull/320>
  * [idioms] bugfix lost append in blackboard names for either_or, #319 <https://github.com/splintered-reality/py_trees/pull/319>
  * [docs] contributing guidelines added, #315 <https://github.com/splintered-reality/py_trees/pull/315>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 24 Feb 2021 05:00:00 -0000

ros-foxy-py-trees (2.1.3-1focal) focal; urgency=high

  * [blackboard] convenience absolute_name() api for blackboard clients, #306 <https://github.com/splintered-reality/py_trees/pull/306>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 13 Dec 2020 05:00:00 -0000

ros-foxy-py-trees (2.1.2-1focal) focal; urgency=high

  * [sequences] bugfix current child setting whilst moving through children, #304 <https://github.com/splintered-reality/py_trees/pull/304>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Nov 2020 05:00:00 -0000

ros-foxy-py-trees (2.1.1-1focal) focal; urgency=high

  * [behaviours] generators for variable values in SetBlackboardVariable, #300 <https://github.com/splintered-reality/py_trees/pull/300>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Aug 2020 04:00:00 -0000

ros-foxy-py-trees (2.1.0-1focal) focal; urgency=high

  * [behaviours] CheckBlackboardVariableValue, WaitForBlackboardVariableValue use comparison expressins, #296 <https://github.com/splintered-reality/py_trees/pull/296>
  * [idioms] eternal_guard uses blackboard_names (previously blackboard_name_prefix), #295 <https://github.com/splintered-reality/py_trees/pull/295>
  * [composites] Chooser deprecated, #293 <https://github.com/splintered-reality/py_trees/pull/293>
  * [composites] chain-able add_children for all composites, #290 <https://github.com/splintered-reality/py_trees/pull/290>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 20 Jul 2020 04:00:00 -0000

ros-foxy-py-trees (2.0.16-1focal) focal; urgency=high

  * [behaviours] generators for variable values in SetBlackboardVariable, #300 <https://github.com/splintered-reality/py_trees/pull/300>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Aug 2020 04:00:00 -0000

ros-foxy-py-trees (2.0.15-1focal) focal; urgency=high

  * [composites] fix current_child problems on dynamic child insertion/removal, #289 <https://github.com/splintered-reality/py_trees/pull/289>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-foxy-py-trees (2.0.14-1focal) focal; urgency=high

  * [blackboard] bugfix metadata not created on static set, #286 <https://github.com/splintered-reality/py_trees/pull/286>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2020 04:00:00 -0000

ros-foxy-py-trees (2.0.13-1focal) focal; urgency=high

  * [composites] parallel bugfix to invalidate correctly, #285 <https://github.com/splintered-reality/py_trees/pull/285>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 24 Mar 2020 04:00:00 -0000

ros-foxy-py-trees (2.0.12-1focal) focal; urgency=high

  * [idioms] the either_or pattern, designed to replace the Chooser, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [behaviours] TickCounter, a timer based on tree ticks, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [behaviours] CheckBlackboardVariableValues, logical checks across multiple values, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [common] ComparisonExpression, a more concise way of storing checkers, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [composites] protect against adding a child to multiple parents, #281 <https://github.com/splintered-reality/py_trees/pull/281>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-foxy-py-trees (2.0.11-1focal) focal; urgency=high

  * [display] completely remove blackboard variables from the dot layout, #280 <https://github.com/splintered-reality/py_trees/pull/280>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2020 05:00:00 -0000

ros-foxy-py-trees (2.0.10-1focal) focal; urgency=high

  * [trees] setup timeout error with last behaviour name included in the error message, #279 <https://github.com/splintered-reality/py_trees/pull/279>
  * [blackboard] rooted variables in namespaced clients working as designed, fixed docs, #277 <https://github.com/splintered-reality/py_trees/pull/277>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Feb 2020 05:00:00 -0000

ros-foxy-py-trees (2.0.9-1focal) focal; urgency=high

  * [demos] display modes demonstrating usage of various options, #275 <https://github.com/splintered-reality/py_trees/pull/275>
  * [display] enforce left to right ordering of children in dot graphs

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-foxy-py-trees (2.0.8-1focal) focal; urgency=high

  * [display] bugfix and use elipsis on ascii visited only display modes, #273 <https://github.com/splintered-reality/py_trees/pull/273>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 01 Feb 2020 05:00:00 -0000


